Saxon API for .NET |

# XdmNode.EnumerateAxis Method (XdmAxis, QName)

Get an enumerator that selects all the nodes on one of the XPath axes, provided they have a given name. The nodes selected are those of the principal node kind (elements for most axes, attributes for the attribute axis, namespace nodes for the namespace axis) whose name matches the name given in the second argument.

public IEnumerator EnumerateAxis(
XdmAxis axis,
QName nodeName
);

#### Parameters

axis
  The axis to be navigated, for example `XdmAxis.Child` for the child axis.
nodeName
  The name of the required nodes, for example `new QName("", "item")` to select nodes with local name "item", in no namespace.

#### Remarks

The nodes are returned in axis order: that is, document order for a forwards axis, reverse document order for a reverse axis.

#### See Also

XdmNode Class | Saxon.Api Namespace | XdmNode.EnumerateAxis Overload List